From 5cea79b98645316993f0053cff6cf7d69dca1f71 Mon Sep 17 00:00:00 2001
From: "Davide G. M. Salvetti" <salve@debian.org>
Date: Fri, 16 Nov 2012 10:08:49 +0100
Subject: [PATCH] Add emacs24 GNU Emacs flavor.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Closes: #682720
Closes: #679712
Thanks: Svante Signell, Sébastien Villemot
---
 debian/auctex.bug-script.eperl      |    2 +-
 debian/auctex.emacsen-install.eperl |    2 +-
 debian/auctex.emacsen-remove.eperl  |    2 +-
 debian/auctex.emacsen-startup.eperl |    2 +-
 debian/auctex.triggers              |    1 +
 debian/control                      |    4 ++--
 debian/update-auctex-elisp.eperl    |    2 +-
 7 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/debian/auctex.bug-script.eperl b/debian/auctex.bug-script.eperl
index 77689d0..856d144 100644
--- a/debian/auctex.bug-script.eperl
+++ b/debian/auctex.bug-script.eperl
@@ -32,7 +32,7 @@ cat >&3 <<EOF
 EOF
 
 <: # Default flavors: only GNU/Emacsen, XEmacs comes with its own AUCTeX :>//
-FLAVORS=${*:-"emacs23 emacs-snapshot"}
+FLAVORS=${*:-"emacs23 emacs24 emacs-snapshot"}
 
 for FLAVOR in ${FLAVORS}; do
     if [ -x /usr/bin/${FLAVOR} ]; then
diff --git a/debian/auctex.emacsen-install.eperl b/debian/auctex.emacsen-install.eperl
index 8e19656..7cfb97f 100644
--- a/debian/auctex.emacsen-install.eperl
+++ b/debian/auctex.emacsen-install.eperl
@@ -105,7 +105,7 @@ function do_update_auctex_elisp () {
 case "${FLAVOR}" in
     (emacs)
 	;;
-    (emacs23|emacs-snapshot)
+    (emacs23|emacs24|emacs-snapshot)
 	do_install ${FLAVOR}
 	do_update_auctex_elisp ${FLAVOR}
 	;;
diff --git a/debian/auctex.emacsen-remove.eperl b/debian/auctex.emacsen-remove.eperl
index 16cadc9..db263b2 100644
--- a/debian/auctex.emacsen-remove.eperl
+++ b/debian/auctex.emacsen-remove.eperl
@@ -44,7 +44,7 @@ undo_update_auctex_elisp () {
 case "${FLAVOR}" in
     (emacs)
 	;;
-    (emacs23|emacs-snapshot)
+    (emacs23|emacs24|emacs-snapshot)
 	undo_update_auctex_elisp
 	undo_install
 	;;
diff --git a/debian/auctex.emacsen-startup.eperl b/debian/auctex.emacsen-startup.eperl
index 924e454..406b3e4 100644
--- a/debian/auctex.emacsen-startup.eperl
+++ b/debian/auctex.emacsen-startup.eperl
@@ -5,7 +5,7 @@
 ;;; form "(unload-feature 'tex-site)" (i.e., put that string into your
 ;;; "~/.emacs" to disable AUCTeX completely).
 
-(if (member debian-emacs-flavor '(emacs23 emacs-snapshot))
+(if (member debian-emacs-flavor '(emacs23 emacs24 emacs-snapshot))
 <: # skip if removed and not purged :>//
     (if (file-exists-p "/usr/share/emacs/site-lisp/auctex/tex.el")
 	(progn
diff --git a/debian/auctex.triggers b/debian/auctex.triggers
index 0c8f58c..93f6209 100644
--- a/debian/auctex.triggers
+++ b/debian/auctex.triggers
@@ -1,4 +1,5 @@
 interest /usr/share/texmf
 interest /usr/share/texlive/texmf-dist
 interest auctex-install-emacs23
+interest auctex-install-emacs24
 interest auctex-install-emacs-snapshot
diff --git a/debian/control b/debian/control
index 8160225..bd17cdf 100644
--- a/debian/control
+++ b/debian/control
@@ -4,12 +4,12 @@ Section: tex
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
 Standards-Version: 3.9.3
-Build-Depends-Indep: debhelper (>= 8), emacs23 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common, texlive-latex-base, texinfo, texi2html (>=1.76)
+Build-Depends-Indep: debhelper (>= 8), emacs23 | emacs24 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common, texlive-latex-base, texinfo, texi2html (>=1.76)
 Homepage: http://www.gnu.org/software/auctex/
 
 Package: auctex
 Architecture: all
-Depends: emacs23 | emacs-snapshot, preview-latex-style, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacs23 | emacs24 | emacs-snapshot, preview-latex-style, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: ghostscript, texlive-latex-recommended, xpdf | evince | evince-gtk
 Suggests: catdvi, dvipng, lacheck
 Breaks: emacspeak (<= 17.0-1)
diff --git a/debian/update-auctex-elisp.eperl b/debian/update-auctex-elisp.eperl
index 51ee1c7..203c835 100644
--- a/debian/update-auctex-elisp.eperl
+++ b/debian/update-auctex-elisp.eperl
@@ -42,7 +42,7 @@ while true; do
     esac
 done
 <: # Default flavors: only GNU, XEmacs comes with its own AUCTeX :>//
-FLAVORS=${*:-'emacs23 emacs-snapshot'}
+FLAVORS=${*:-'emacs23 emacs24 emacs-snapshot'}
 LOGMASK='/var/lib/auctex/%s/CompilationLog'
 
 if [ -n "${_UPDATE_AUCTEX_ELISP_DAEMON_MODE}" ]; then
-- 
1.7.10.4

